Package Details: teams-for-linux-git 1.1.8.r0.g23897f7-1

Git Clone URL: https://aur.archlinux.org/teams-for-linux-git.git (read-only, click to copy)
Package Base: teams-for-linux-git
Description: Unofficial Microsoft Teams client for Linux using system electron (develop branch).
Upstream URL: https://github.com/IsmaelMartinez/teams-for-linux
Keywords: messaging, teams,
Licenses: GPL3
Conflicts: teams-for-linux
Provides: teams-for-linux
Submitter: DrasLorus
Maintainer: DrasLorus
Last Packager: DrasLorus
Votes: 3
Popularity: 0.007600
First Submitted: 2021-06-29 09:05 (UTC)
Last Updated: 2023-06-29 17:19 (UTC)

Latest Comments

DrasLorus commented on 2023-08-04 17:23 (UTC)

As explained by others, this is a git package. The latest version is built along the package. I apologize for removing the flag late. Case closed.

Matr1x-101 commented on 2023-07-28 16:16 (UTC)

@lovesponge this is a git package, why are you flagging it as out of date?

DrasLorus commented on 2022-06-06 10:46 (UTC) (edited on 2022-08-09 08:40 (UTC) by DrasLorus)

Hi @bobsaintcool, gcc and make are part of the base-devel package group, and as such, are assumed to be already installed (quoting the makedepends part the Arch Wiki ). Besides, this particular package is touchy, I succeeded to build it in a clean chroot by using arch-chroot directly (and in a clean container using docker) , but not using makechrootpkg or any other convenience scripts in dev-tools. So, I expect a strange behavior with other kinds of scripts.

EDITED: The last version now perfectly build using extra-x86_64-build, thanks to the drop of spellchecker upstream, and to a bug-fix in the pkgbuild (electron dependency must be satisfied prior to _electronVer evaluation).

bobsaintcool commented on 2022-06-03 17:58 (UTC)

Hello,

To build into a clean chroot (with aurutils: aur sync -cud ...) I was missing build dependencies for the spellchecker library, gcc and make was needed in the makedepends array.

DrasLorus commented on 2022-02-18 15:59 (UTC)

It may be explained by an electron version mismatch. I will upload a new PKGBUILD with "electron>15" as dependency to ensure there is a directory "/usr/lib/electron". My call is that electron-builder try to download arch electron14 version (a.k.a 14.19.0) from web as a fallback, since electron14 is under "/usr/lib/electron14".

Riedler commented on 2022-02-18 14:49 (UTC)

build fails while compiling spellecker, trying to access https://electronjs.org/headers/v14.19.0/node-v14.19.0-headers.tar.gz, which fails with a 403.

DrasLorus commented on 2022-02-15 16:18 (UTC)

Calling through web works, audio/video device options are accessible when in a meeting/audio call/video call. If by "calling" you mean using the phone line, it is only supported by the official teams app. 'Teams for Linux' is an electron wrapped version of the teams web app.

j0hannes commented on 2022-02-15 16:06 (UTC)

There is no "Devices" option in "Settings" and thus it cannot be used for calling.